Package com.google.android.exoplayer2.extractor

## Interface BinarySearchSeeker.SeekTimestampConverter

- All Known Implementing Classes:
    `BinarySearchSeeker.DefaultSeekTimestampConverter`
  Enclosing class:
    BinarySearchSeeker

      protected static interface BinarySearchSeeker.SeekTimestampConverter

  A converter that converts seek time in stream time into target timestamp for the `BinarySearchSeeker`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `timeUsToTargetTime​(long timeUs)` | Converts a seek time in microseconds into target timestamp for the `BinarySearchSeeker`.

- - ### Method Detail

    - #### timeUsToTargetTime

          long timeUsToTargetTime​(long timeUs)

      Converts a seek time in microseconds into target timestamp for the `BinarySearchSeeker`.